<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Sofware Engineering Code of Ethics</title>
</head>
<p><em>Science and Engineering Ethics (2001) 7, 231-238</em> </p>
<hr>
<body>
    <h1><strong>Software Engineering Code of Ethics and <br> Professional Practice</strong></h1>
    <h3>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professsional <br> Practices</h3>
    <hr>

    <p><strong> Keywords</strong>: code of ethics, professional responsibility, software engineering</p>
    <h3><strong>PREAMBLE</strong></h3>
    <p>
        The short version of the code summarizes aspirations at a high level of abstraction. The clauses that
        <br>
        are included in the full version give examples and details of how these aspirations change the way we
        <br>
        act as software engineering professionals. Without the aspirations, the details can become legalistic
        <br>
        and tedious; without the details, the aspirations can become high-sounding but empty; together, the
        <br>
        aspirations and the details form a cohesive code.
    </p>
    <p>
        Software engineers shall commit themselves to making the analysis, specification, design,
        <br>
        development, testing, and maintenance software a benificial and respected profession, In
        <br>
        accordance with their commitment to the health, safety, and welfare of the public, software engineers
        <br>
        shall adhere to the following eight principles:
    </p>
    <h3><strong>PRINCIPLES</strong></h3>

    <ol>
        <li><em>Public.</em>
            Software engineers shall act consistently with the public interest.
        </li>
        <li><em>Client and employer.</em>
            Software engineers shall act in a matter that is in the best interests of their <br>
            client and employer, consistent with the public interest
        </li>
        <li><em>Product.</em>
            Software engineers shall ensure that their products and related modifications meet the <br>
            highest position standard possible.
        </li>
        <li><em>Judgement.</em>
            Software engineers shall maintain integrity and independence in their profesisonal <br>
            judgment.
        </li>
        <li><em>Management.</em>
            Software engineers managers and leaders shall subscribe to and promote an <br>
            ethical approach to the management of software development and maintenance.
        </li>
        <li><em>Profession.</em>
            Software engineers shall advance the integrity and reputation of theprofession <br>
            consistent with the public interest.
        </li>   
        <li><em>Colleagues.</em>
            Software engineers shall be fair to and supportive of their colleagues.
        </li>
        <li><em>Self.</em>
            Software engineers shall participate in lifelong learning regarding the practice of their <br>
            profession and shall promote an ethical approach to the practice of the proffesion.
        </li>
        
        
    </ol>
    
</body>
</html>